#
# spec file for package perl-Template-Tiny
#
# Copyright (c) 2021 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define cpan_name Template-Tiny
Name:           perl-Template-Tiny
Version:        1.14
Release:        1.15
Summary:        Template Toolkit reimplemented in as little code as possible
License:        Artistic-1.0 OR GPL-1.0-or-later
URL:            https://metacpan.org/release/%{cpan_name}
Source0:        https://cpan.metacpan.org/authors/id/E/ET/ETHER/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRequires:  perl
BuildRequires:  perl-macros
%{perl_requires}

%description
*Template::Tiny* is a reimplementation of a subset of the functionality
from Template Toolkit in as few lines of code as possible.

It is intended for use in light-usage, low-memory, or low-cpu templating
situations, where you may need to upgrade to the full feature set in the
future, or if you want the retain the familiarity of TT-style templates.

For the subset of functionality it implements, it has fully-compatible
template and stash API. All templates used with *Template::Tiny* should be
able to be transparently upgraded to full Template Toolkit.

Unlike Template Toolkit, *Template::Tiny* will process templates without a
compile phase (but despite this is still quicker, owing to heavy use of the
Perl regular expression engine.

%prep
%autosetup  -n %{cpan_name}-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%doc Changes CONTRIBUTING README
%license LICENSE

%changelog
* Mon May  3 2021 Tina Müller <timueller+perl@suse.de>
- updated to 1.14
  see /usr/share/doc/packages/perl-Template-Tiny/Changes
  1.14      2021-05-02 16:48:45Z
  - add link to Template::Tiny::Strict
* Sun Jan 31 2021 Tina Müller <timueller+perl@suse.de>
- updated to 1.13
  see /usr/share/doc/packages/perl-Template-Tiny/Changes
* Tue Jun  4 2013 coolo@suse.com
- updated to 1.12
* Mon Dec 27 2010 pascal.bleser@opensuse.org
- initial version (0.11)
